Loading...
Searching...
No Matches
etl::xor_checksum< T > Class Template Reference

XOR Checksum. More...

`#include <checksum.h>`

## Public Member Functions

| xor_checksum ()
| Default constructor.
template<typename TIterator>
| xor_checksum (TIterator begin, const TIterator end)
Public Member Functions inherited from etl::frame_check_sequence< etl::checksum_policy_xor< T > >
| ETL_STATIC_ASSERT (etl::is_unsigned< value_type >::value, "Signed frame check type not supported")
ETL_CONSTEXPR14 | frame_check_sequence ()
| Default constructor.
ETL_CONSTEXPR14 void | reset ()
| Resets the FCS to the initial state.
ETL_CONSTEXPR14 void | add (TIterator begin, const TIterator end)
ETL_CONSTEXPR14 value_type | value () const
| Gets the FCS value.
ETL_CONSTEXPR14 | operator value_type () const
| Conversion operator to value_type.
ETL_CONSTEXPR14 add_insert_iterator | input ()
| Gets an add_insert_iterator for input.

## Additional Inherited Members

Public Types inherited from etl::frame_check_sequence< etl::checksum_policy_xor< T > >
typedef etl::checksum_policy_xor< T > | policy_type
typedef policy_type::value_type | value_type
typedef private_frame_check_sequence::add_insert_iterator< frame_check_sequence< etl::checksum_policy_xor< T > > > | add_insert_iterator

## Detailed Description

template<typename T>
class etl::xor_checksum< T >

XOR Checksum.

## Constructor & Destructor Documentation

## xor_checksum()

template<typename T>
template<typename TIterator>

etl::xor_checksum< T >::xor_checksum | ( | TIterator | begin,
|  | const TIterator | end )

inline

Constructor from range.

Parameters

  begin | Start of the range.
  end | End of the range.

The documentation for this class was generated from the following file:

- include/etl/checksum.h